import { FormikValues } from "formik";
import { CSSProperties, InputHTMLAttributes } from "react";
type ButtonProps = {
    checkedStyle?: CSSProperties;
    disabledStyle?: CSSProperties;
    disabledCheckedStyle?: CSSProperties;
    disabled?: boolean | ((values: FormikValues) => boolean);
} & Omit<InputHTMLAttributes<HTMLInputElement>, "size" | "type" | "onChange">;
declare const Button: ({ disabled, style, checkedStyle, disabledStyle, disabledCheckedStyle, value, ...props }: ButtonProps) => JSX.Element;
export default Button;
