import React, { CSSProperties } from "react";
import { SelectValue } from "./SelectContext";
export type SelectOptionProps = {
    children?: React.ReactNode;
    style?: CSSProperties;
    value: SelectValue;
    hoverStyle?: CSSProperties;
    selectedOptionStyle?: CSSProperties;
    onChange?: (value?: SelectValue) => void;
};
declare const Option: ({ children, style, value, onChange, hoverStyle, selectedOptionStyle, }: SelectOptionProps) => JSX.Element;
export default Option;
