import { CSSProperties, ReactNode } from "react";
export type StackProps = {
    children?: ReactNode;
    direction?: "row" | "col";
    justifyContent?: CSSProperties["justifyContent"];
    alignItems?: CSSProperties["alignItems"];
    width?: string;
    height?: string;
    background?: string;
    margin?: string;
    padding?: string;
    gap?: string;
};
declare const Stack: ({ children, ...props }: StackProps) => JSX.Element;
export default Stack;
